manaable REST API
What's manaableAbout Us
What's manaableAbout Us
  1. Trainings
  • Introduction
  • イントロダクション
  • API v3
    • Members
      • Get Members
      • Get Member by ID
    • Teams
      • Get Teams
      • Get Team by ID
  • API v2
    • Trainings
      • List trainings / 研修一覧取得
        GET
      • Count trainings / 研修件数取得
        GET
      • Get training custom field definitions / 研修カスタムフィールド定義取得
        GET
      • Get training by ID / 研修詳細取得
        GET
      • Update training / 研修情報更新
        PATCH
      • Delete training / 研修削除
        DELETE
    • Applicants
      • List applicants / 申込者一覧取得
      • Bulk create/update applicants (upsert) / 申込者一括作成/更新 (upsert)
      • Count applicants / 申込者件数取得
      • Bulk update applicant status / 申込ステータス一括更新
    • Members
      • List members / メンバー一覧取得
      • Bulk create/update members / メンバー一括作成/更新
      • Get member custom field definitions / メンバーカスタムフィールド定義取得
      • Get member by ID / メンバー詳細取得
      • Update member / メンバー情報更新
      • Delete member / メンバー削除
      • Update member password / メンバーパスワード更新
    • Teams
      • List teams / チーム一覧取得
      • Bulk create/update teams / チーム一括作成/更新
      • Get team custom field definitions / チームカスタムフィールド定義取得
      • Get team by ID / チーム詳細取得
      • Update team / チーム情報更新
      • Delete team / チーム削除
  • API v1
    • Get member groups
      GET
  • Schemas
    • Schemas
      • ContactForm
      • Exam
      • ExamResult
      • Lesson
      • LessonAttempt
      • Notification
      • Settings
      • StaticFieldsSetting
      • TeamMember
      • TrainingQuestionnaireResponse
      • TrainingQuestionnaireTemplate
      • TrainingRegTemplate
      • TrainingTaskResponse
      • TrainingTaskTemplate
      • UnsubscriptionQuestionnaire
    • Training
    • Member
    • Team
    • TrainingApplication
    • CustomFieldMaster
    • CustomFieldData
    • ErrorResponse
    • SuccessResponse
    • ValidationErrorResponse
  1. Trainings

Get training by ID / 研修詳細取得

GET
/trainings/{training_id}
Returns the training with the specified ID. Retrieved via Training::findOrFail,
so lessons are included via $with = ["lessons"]. fees are not included (unlike the list endpoint).
指定 ID の研修を返す。Training::findOrFail で取得するため、
$with = ["lessons"] によりレッスンが含まれる。fees は含まれない (list と異なる点)。

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Responses

🟢200
application/json
Success / 成功
Bodyapplication/json

🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/trainings/' \
--header 'api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "id": 0,
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z",
    "manager_id": "string",
    "title": "string",
    "unrestricted_manager_groups": "string",
    "display_member_groups": "string",
    "excluded_groups_action": "string",
    "pay_on_manaable": 0,
    "transferaccount_id": 0,
    "set_capacity": 0,
    "total_capacity": 0,
    "base_fee_amount": 0,
    "base_fee_label": "string",
    "is_taxable": 0,
    "article_status": "DRAFT",
    "progress_status": "string",
    "application_reception_status": "string",
    "start_date": "2019-08-24T14:15:22.123Z",
    "end_date": "2019-08-24T14:15:22.123Z",
    "publish_start_date": "2019-08-24T14:15:22.123Z",
    "publish_end_date": "2019-08-24T14:15:22.123Z",
    "application_form_template_id": 0,
    "application_form_restriction": 0,
    "allow_application_form_change": "string",
    "application_form_change_date": "2019-08-24T14:15:22.123Z",
    "accept_team_application": 0,
    "application_cancellation_date": "2019-08-24T14:15:22.123Z",
    "application_form_start_date": "2019-08-24T14:15:22.123Z",
    "application_form_end_date": "2019-08-24T14:15:22.123Z",
    "payment_due_date": "2019-08-24T14:15:22.123Z",
    "application_format": "FCFS",
    "application_form_cancel_wait": 0,
    "application_form_cancel_wait_capacity": 0,
    "show_certificate": 0,
    "show_invoice": 0,
    "show_payment_receipt": 0,
    "payment_receipt_provision": "string",
    "update_notification_details": "string",
    "training_completion_requirements": "string",
    "training_completion_requirement_score": 0,
    "certificate_template_id": 0,
    "receipt_template_id": 0,
    "receipt_remarks": "string",
    "invoice_template_id": 0,
    "invoice_remarks": "string",
    "notification_sender_managergroup_id": 0,
    "autonotification_managergroup_id": 0,
    "lesson_workflow_controls": "string",
    "application_based_attendance_period_enabled": 0,
    "application_based_attendance_days": 0,
    "application_based_attendance_key_status": "string",
    "portrait_deleted_at": "2019-08-24T14:15:22.123Z",
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
    "fees": [
        {}
    ],
    "lessons": [
        {}
    ],
    "detail_page_url": "string",
    "custom_field_data": [
        {
            "field_name": "string",
            "field_value": "string",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2026-06-18 02:44:25
Previous
Get training custom field definitions / 研修カスタムフィールド定義取得
Next
Update training / 研修情報更新
Built with